/*Create by Murilo Rosa  27/04/2018*/
var mapper = mapperFactory.createMapperMult(["EstProdPreco"]);
var result = 1;

try {
	for (var i = 0; i < message.get('listLiberacao').size(); i++) {
	    let item = message.get('listLiberacao').get(i);
		item.put('dtProc', message.get("dtProc"));
		item.put('cdUsu', message.get("cdUsu"));
		if (item.get('liberar') == true){
			let pendentes = mapper.update('EstProdPreco.excluirEstProdPrecoAltCplLibPendente', item);
		    let liberar = mapper.insert('EstProdPreco.incluirEstProdPrecoAltCplLib', item) ; 
		} else if (item.get('bloquear') == true) {
			let pendentes = mapper.update('EstProdPreco.excluirEstProdPrecoAltCplLibPendente', item);
		    let bloquear = mapper.insert('EstProdPreco.incluirEstProdPrecoAltCplBloqueio', item);
		}
	
	}
	mapper.commit();
	result;
} catch (err) {
    mapper.rollback();
	if (err.code)
		throw JSON.stringify(err);
	else
		throw err;
}